Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ColourFaderAffector::CmdRedAdjust Class Reference

Command object for red adjust (see ParamCommand). More...

`#include <OgreColourFaderAffector.h>`

Inheritance diagram for Ogre::ColourFaderAffector::CmdRedAdjust:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for red adjust (see ParamCommand).

Definition at line 45 of file OgreColourFaderAffector.h.

## Member Function Documentation

String Ogre::ColourFaderAffector::CmdRedAdjust::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 143 of file OgreColourFaderAffector.cpp. References Ogre::ColourFaderAffector::getRedAdjust(), and Ogre::String.

void Ogre::ColourFaderAffector::CmdRedAdjust::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 148 of file OgreColourFaderAffector.cpp. References Ogre::String.

The documentation for this class was generated from the following files:

- OgreColourFaderAffector.h
- OgreColourFaderAffector.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:48 2004